// export function multiply(a: number, b: number): Promise<number> {
//   return Promise.resolve(a * b);
// }

// export function divide(a: number, b: number): Promise<number> {
//   return Promise.resolve(a / b);
// }

// export function sum(a: number, b: number): Promise<number> {
//   return Promise.resolve(a + b);
// }

// export function minus(a: number, b: number): Promise<number> {
//   return Promise.resolve(a - b);
// }

import React, { useState } from 'react';
import { View, Text, TextInput, ImageBackground, StyleSheet, Button } from 'react-native';

const Sandy = () => {
  const [mobileNumber, setMobileNumber] = useState('');
    
  const handleLogin = () => {
    // Handle login logic here
    console.log("Input Mobile Number",mobileNumber)
  };
      return (
        <ImageBackground source={require('./a.jpeg')} style={styles.backgroundImage}>
          <View style={styles.container}>
            <Text style={styles.title}>Login</Text>
            <TextInput
              style={styles.input}
              placeholder="Mobile Number"
              onChangeText={(text) => setMobileNumber(text)}
              value={mobileNumber}
              keyboardType="phone-pad"
            />
            <Button title="Login" onPress={handleLogin} />
          </View>
        </ImageBackground>
  )
}

const styles = StyleSheet.create({
  backgroundImage: {
    flex: 1,
    resizeMode: 'cover', // or 'stretch' for a different background image behavior
  },
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'rgba(0, 0, 0, 0.5)', // A semi-transparent background overlay
  },
  title: {
    fontSize: 30,
    color: 'white',
    marginBottom: 20,
  },
  input: {
    width: '80%',
    height: 40,
    backgroundColor: 'white',
    paddingLeft: 10,
    marginBottom: 10,
    borderRadius: 5,
  },
});

export default Sandy

